Bug 1846593 - Satellite-installer failed with error "Could not find a suitable provider for foreman_smartproxy" while doing upgrade from 6.7 to 6.8
Summary: Satellite-installer failed with error "Could not find a suitable provider for...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Installer
Version: 6.8.0
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: 6.8.0
Assignee: Evgeni Golov
QA Contact: Lukáš Hellebrandt
URL:
Whiteboard:
: 1847309 1854538 (view as bug list)
Depends On:
Blocks: 1807946
TreeView+ depends on / blocked
 
Reported: 2020-06-12 04:53 UTC by Devendra Singh
Modified: 2020-10-27 13:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 13:03:19 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 30193 Normal Closed installer failed with error "Could not find a suitable provider for foreman_smartproxy" while doing upgrade 2020-11-05 19:58:48 UTC
Red Hat Product Errata RHSA-2020:4366 None None None 2020-10-27 13:03:39 UTC

Description Devendra Singh 2020-06-12 04:53:47 UTC
Description of problem: Satellite-installer failed with error "Could not find a suitable provider for foreman_smartproxy" while doing upgrade from 6.7 to 6.8

Version-Release number of selected component (if applicable):
6.8 Snap4

How reproducible:
always

Steps to Reproduce:
1. Prepared the environment to perform the satellite-upgrade from 6.7 to 6.8 
2. Configure all the repository(Enabled the required repository)
3. Execute the pre-check and it has completed successfully.

Actual results:

Satellite-installer failed with Could not find a suitable provider for foreman_smartproxy

Expected results:
Satllite-installer should not be failed.

Additional info:

Comment 5 Evgeni Golov 2020-06-18 13:16:05 UTC
a workaround should be running "yum reinstall puppet-agent-oauth" *after* puppet-agent from 6.8 has been installed.

as you're running foreman-maintain, which does all that for you, I guess your current setup is like this:
1. edit repositories to point to 6.8 snap
2. run foreman-maintain upgrade …

I don't think we can inject stuff in f-maintain directly, so I propose the following:
1. edit repos
2. foreman-maintain package unlock
3. yum install puppet-agent (this should update to the agent in 6.8)
4. yum reinstall puppet-agent-oauth
5. foreman-maintain upgrade …

Comment 6 Brad Buckingham 2020-06-18 14:51:40 UTC
*** Bug 1847309 has been marked as a duplicate of this bug. ***

Comment 7 Sudhir Mallamprabhakara 2020-06-22 19:28:17 UTC
Devendra - Can you try with the workaround and update the BZ?

Comment 8 Devendra Singh 2020-06-23 05:07:28 UTC
(In reply to Sudhir Mallamprabhakara from comment #7)
> Devendra - Can you try with the workaround and update the BZ?

It can apply only when BZ#1848538 gets fix.

Comment 9 Evgeni Golov 2020-06-23 06:54:47 UTC
Created redmine issue https://projects.theforeman.org/issues/30193 from this bug

Comment 10 Bryan Kearney 2020-06-23 12:05:01 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/30193 has been resolved.

Comment 14 Eric Helms 2020-07-14 12:11:18 UTC
*** Bug 1854538 has been marked as a duplicate of this bug. ***

Comment 15 Lukáš Hellebrandt 2020-07-16 15:26:10 UTC
Verified with Sat 6.7.2 -> Sat 6.8 snap 8.0.

Installation passed without errors, Satellite works.

# rpm -q rubygem-foreman_maintain
rubygem-foreman_maintain-0.6.8-1.el7sat.noarch

Comment 18 errata-xmlrpc 2020-10-27 13:03:19 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Important: Satellite 6.8 release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4366


Note You need to log in before you can comment on or make changes to this bug.